#### D.2.10.10 triagmatrix

Procedure from library `random.lib` (see random_lib).

Usage:
  triagmatrix(n,m,o[,u,pe,pp,b]); n,m,o,u,pe,pp,b integers

Return:
  nxm lower triagonal matrix, diagonal entries equal to 1, about p percent of lower diagonal entries are 0, the remaining are random polynomials of degree d, u<=d<=o, with pp percent of the terms being 0, the remaining have random coefficients in the interval [1,b] [default: (pe,u,pp,b) = (0,50,75,100)]

Example:

    LIB "random.lib";
    ring r = 0,(a,b,c,d),dp;
    // sparse triagonal matrix of sparse polys of degree <=2:
    print(triagmatrix(3,4,2));"";
    ==> 1,                                 0,0,0,
    ==> 52ac+54cd+14c,                     1,0,0,
    ==> 17a2+19b2+45ac+94bc+50b+87c+54d+21,0,1,0
    ==>
    // dense triagonal matrix of sparse linear forms:
    print(triagmatrix(3,3,1,1,0,55,9));
    ==> 1,       0,    0,
    ==> 7a+8d,   1,    0,
    ==> 9b+7c+4d,7b+9d,1

User manual for Singular version 4.4.1, 2025, generated by texi2html.